Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class HTMLToolBar

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLElement
            |
            +--oracle.jdeveloper.html.HTMLElementContainer
                  |
                  +--oracle.jdeveloper.html.HTMLToolBar

Direct Known Subclasses:
  Toolbar

public class HTMLToolBar
extends HTMLElementContainer

A Web Bean that provides methods to dynamically generate an HTML toolbar.

Version:
  PUBLIC

Fields inherited from class oracle.jdeveloper.html.HTMLElementContainer
`Elements`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Constructor Summary
`HTMLToolBar()`

Method Summary
`void` | `addButton(java.lang.String sImage, java.lang.String sURL)` Adds a button to the toolbar.
`void` | `addButton(java.lang.String sImage, java.lang.String sURL, java.lang.String sTitle)` Adds a button to the toolbar.
`void` | `addDisabledButton(java.lang.String sURL)` Adds a disabled button to the toolbar.
`void` | `addDisabledButton(java.lang.String sURL, java.lang.String sTitle)` Adds a disabled button to the toolbar.
`void` | `addSeparator(java.lang.String sURL)` Adds a separator to the toolbar.
`void` | `render(java.io.PrintWriter out)` Renders the container's header, contained objects and footer.
`protected void` | `renderContainerFooter(java.io.PrintWriter out)`
`void` | `renderContainerHeader(java.io.PrintWriter out)`

Methods inherited from class oracle.jdeveloper.html.HTMLElementContainer
`addElement, addForm, addHeader, addImage, addImageClass, addImageURL, addTable, addTextURL, addToolBar, elementAt, endCenter, numberOfElements, renderElementFooter, renderElementHeader, skipLine, startCenter`

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, getCSSClassName, render, setCSSClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLToolBar

    public HTMLToolBar()

Method Detail

### addButton

    public void addButton(java.lang.String sImage,
                          java.lang.String sURL)

  Adds a button to the toolbar.
  Parameters:
    `sImage` - the URL of the button's image file (GIF or JPEG)
    `sURL` - the URL to link to when the button is clicked

### addButton

    public void addButton(java.lang.String sImage,
                          java.lang.String sURL,
                          java.lang.String sTitle)

  Adds a button to the toolbar.
  Parameters:
    `sImage` - the URL of the button's image file (GIF or JPEG)
    `sURL` - the URL to link to when the button is clicked
    `sTitle` - the title that appears when the mouse pointer is held over the button

### addSeparator

    public void addSeparator(java.lang.String sURL)

  Adds a separator to the toolbar.
  Parameters:
    `sURL` - the URL of the separator image file (GIF or JPEG)

### addDisabledButton

    public void addDisabledButton(java.lang.String sURL)

  Adds a disabled button to the toolbar.
  Parameters:
    `sURL` - - the URL of the disabled button's image file (GIF or JPEG)

### addDisabledButton

    public void addDisabledButton(java.lang.String sURL,
                                  java.lang.String sTitle)

  Adds a disabled button to the toolbar.
  Parameters:
    `sURL` - the URL of the disabled button's image file (GIF or JPEG)
    `sTitle` - the title that appears when the mouse pointer is held over the button

### renderContainerHeader

    public void renderContainerHeader(java.io.PrintWriter out)

  Overrides:
    renderContainerHeader in class HTMLElementContainer

### renderContainerFooter

    protected void renderContainerFooter(java.io.PrintWriter out)

  Overrides:
    renderContainerFooter in class HTMLElementContainer

### render

    public void render(java.io.PrintWriter out)
                throws java.lang.Exception

  Description copied from class: HTMLElementContainer
  Renders the container's header, contained objects and footer.
  Overrides:
    render in class HTMLElementContainer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD